---
search:
  tags:
    - Channels V2
    - GET
seo:
  description: >-
    Gets a single channel including its market ids… Reference for the GET
    /api/v2/{team_slug}/{app_slug}/channels/{channel_id} endpoint in the
    Management API v2.
sidebar:
  label: Get channel
  badge: GET
title: Get channel
type: openapi-operation
---
Gets a single channel including its market ids and effective publishing rule.

`GET /api/v2/{team_slug}/{app_slug}/channels/{channel_id}`

**Responses**

- `200` — OK
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `404` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "slug": "string",
    "store_group": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string"
    },
    "markets": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "slug": "string"
      }
    ],
    "description": "string",
    "active": true,
    "publishing_rule_id": "125a9b9d-2f65-4f23-bbd5-4b05bec210bd",
    "effective_publishing_rule": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "is_default": true,
      "minimum_images": 0,
      "should_have_price": true,
      "should_have_product_name": true,
      "should_have_brand": true,
      "should_have_description": true,
      "should_have_category": true,
      "should_have_main_category": true,
      "updated_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
```
